<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>PHP GET-Request</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">

</head>
<body class="container">
    <h1 class="text-primary border-bottom border-primary">PHP GET-Request</h1>

    <h2>Momsberäkning</h2>

    <form method="GET" action="">
        <div class="row">
            <div class="col-6">
                <label for="price" class="form-label">Ange pris</label>
                <input id="price" type="number" name="price" class="form-control" required>
            </div>
            <div class="col-6">
            </div>
            <div class="col my-3">
                <input type="submit" value="Beräkna" class="btn btn-success">
            </div>
        </div>
    </form>

    <?php

    if(isset($_GET['price'])){

        echo "<h3 class='text-success'>Pris exkl. moms: ";
        echo $_GET['price']; // Hämta pris från URLen 
        echo " Kr</h3>"; 
        
        echo "<h3 class='text-secondary'>Pris inkl. 25% moms: ";
        echo $_GET['price'] * 1.25;
        echo " Kr</h3>";
        echo "<h3 class='text-secondary'>Pris inkl. 12% moms: ";
        echo $_GET['price'] * 1.12;
        echo " Kr</h3>";
        echo "<h3 class='text-secondary'>Pris inkl. 6% moms: ";
        echo $_GET['price'] * 1.06;
        echo " Kr</h3>";
    }else{
        echo "<div class='alert alert-danger'>Ange pris tack!</div>";
    }
    
    ?>
</body>
</html>